#ifndef SEARCH_H
#define SEARCH_H

class SearchWidget;
class QueryHitEntry;

#include <string>
#include <vector>
#include <stdint.h>

using namespace std;

class Search
{
 public:
  Search(std::string id, SearchWidget *sw, uint16_t min_speed, int type, bool active = true);
  ~Search();

  std::string                       id;
  SearchWidget                      *sw;
  bool                              active;
  uint16_t                          _min_speed;
  int                               _type;
  std::vector<class QueryHitEntry*> vSearchResults;
};

#endif
