#include <qapplication.h>
#include <qnamespace.h>

#include "QtellaSub.h"

#ifdef KDE
#include "kapp.h"
#include "kcmdlineargs.h"
#endif


int main(int argc, char **argv)
{
  #ifdef KDE
    KCmdLineArgs::init( argc, argv, "Qtella", "Qtella", VERSION);
    KApplication a;
    QtellaSub qtella(&a, argv[0]);
  #endif


  #ifdef QT
    QApplication a(argc, argv);
    QtellaSub qtella(&a, argv[0], Qt::WStyle_SysMenu | Qt::WStyle_MinMax);
  #endif


  a.setMainWidget(&qtella);
  qtella.show();
  
  int ret = -1;

  try
    {
      ret = a.exec();
    }
  catch(...)
    {
      std::cerr << "EXCEPTION" << std::endl;
    }

  return ret;
}
